AbstractSerializableProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy
Class AbstractSerializableProxy

    java.lang.Object
      org.hibernate.proxy.AbstractSerializableProxy

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SerializableProxy

    public abstract class AbstractSerializableProxy

extends Object
implements Serializable

Convenience base class for SerializableProxy.

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractSerializableProxy()` For serialization
`protected` | `AbstractSerializableProxy(String entityName, Serializable id, Boolean readOnly)`

Method Summary
`protected String` | `getEntityName()`
`protected Serializable` | `getId()`
`protected void` | `setReadOnlyBeforeAttachedToSession(AbstractLazyInitializer li)` Set the read-only/modifiable setting from this object in an AbstractLazyInitializer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSerializableProxy

    protected AbstractSerializableProxy()

  For serialization

### AbstractSerializableProxy

    protected AbstractSerializableProxy(String entityName,
                                        Serializable id,
                                        Boolean readOnly)

Method Detail

### getEntityName

    protected String getEntityName()

### getId

    protected Serializable getId()

### setReadOnlyBeforeAttachedToSession

    protected void setReadOnlyBeforeAttachedToSession(AbstractLazyInitializer li)

  Set the read-only/modifiable setting from this object in an AbstractLazyInitializer. This method should only be called during deserialization, before associating the AbstractLazyInitializer with a session.

  Parameters:
    `li` - the read-only/modifiable setting to use when associated with a session; null indicates that the default should be used.
  Throws:
    `IllegalStateException` - if isReadOnlySettingAvailable() == true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.